Package wx :: Class GenericDatePickerCtrl

[frames | no frames]

## Type GenericDatePickerCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
            DatePickerCtrlBase --+
                                 |
                    DatePickerCtrl --+
                                     |
                                    GenericDatePickerCtrl

Proxy of C++ GenericDatePickerCtrl class

Method Summary
GenericDatePickerCtrl | ``__init__`(self, parent, id, dt, pos, size, style, validator, name)` Create a new GenericDatePickerCtrl.
bool | ``Create`(self, parent, id, dt, pos, size, style, validator, name)` Create the GUI parts of the GenericDatePickerCtrl, for use in 2-phase creation.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, dt=wxDefaultDateTime, pos=DefaultPosition, size=DefaultSize, style=wxDP_DEFAULT|wxDP_SHOWCENTURY, validator=DefaultValidator, name=DatePickerCtrlNameStr)
(Constructor)

Create a new GenericDatePickerCtrl.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `dt`
    (type=DateTime)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    GenericDatePickerCtrl
  Overrides:
    `wx.DatePickerCtrl.__init__`

### Create(self, parent, id=-1, dt=wxDefaultDateTime, pos=DefaultPosition, size=DefaultSize, style=wxDP_DEFAULT|wxDP_SHOWCENTURY, validator=DefaultValidator, name=DatePickerCtrlNameStr)

Create the GUI parts of the GenericDatePickerCtrl, for use in 2-phase creation.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `dt`
    (type=DateTime)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.DatePickerCtrl.Create`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:40 2009 | http://epydoc.sf.net